package lsp

  1. Overview
  2. Docs

Description

Implementation of the LSP protocol in OCaml. It is designed to be as portable as possible and does not make any assumptions about IO.

Published: 23 Jun 2023

Dependencies (6)

  1. ocaml >= "4.14"
  2. uutf >= "1.0.2"
  3. ppx_yojson_conv_lib >= "v0.14"
  4. yojson
  5. jsonrpc = version
  6. dune >= "3.0"

Dev Dependencies (3)

  1. odoc with-doc
  2. ppx_expect >= "v0.15.0" & with-test
  3. cinaps with-test

Conflicts

None